Bug 169726 - newer version of pysqlite is available
Summary: newer version of pysqlite is available
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sqlite   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-02 09:01 UTC by Takanori MATSUURA
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 12:24:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated spec file. (1.27 KB, text/plain)
2005-10-02 09:01 UTC, Takanori MATSUURA
no flags Details

Description Takanori MATSUURA 2005-10-02 09:01:58 UTC
The latest version is 2.0.4.
License is now zlib/libpng license
URL is now http://initd.org/tracker/pysqlite

Updated spec file is attached.

Comment 1 Takanori MATSUURA 2005-10-02 09:01:58 UTC
Created attachment 119516 [details]
Updated spec file.

Comment 2 Florian La Roche 2005-10-25 11:20:37 UTC
I've copied 2.0.5-1 onto http://people.redhat.com/laroche/.
Seems yum is broken with this newer version, so this needs some
investigation on what is going on...

Thanks a lot for the spec-file changes,

Florian La Roche


Comment 3 Paul Nasrat 2005-10-25 15:30:52 UTC
Define broken yum a bit more clearly please

Comment 4 Florian La Roche 2005-11-13 11:07:12 UTC
New interface, so this needs some porting. Seems other distros package both
1.1.x and 2.x.

regards,

Florian La Roche


Comment 5 Takanori MATSUURA 2006-02-03 13:30:26 UTC
How about the latest one?

Latest 2.1 version (2.1.3) - this branch is still stabilizing
Latest 2.0 version (2.0.7) - this branch has proven stable
Latest 1.1 version (1.1.7) - old API for SQLite 3.x

Comment 6 David Lawrence 2006-04-18 20:35:25 UTC
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.

Comment 7 Henrik Nordstrom 2006-12-05 00:26:37 UTC
There is a python-sqlite2 package in Fedora Extras currently at version 2.3.2,
the latest version.

However, there has been an update of pysqlite-1.1.X to 1.1.8 fixning some memory
leaks, so there is now again a reason to upgrade the python-sqlite package..
Changes is trivial so it should be a straight upgrade from 1.1.7 just bumping
the version and getting rid of this bug report.

Comment 8 Florian La Roche 2007-01-22 12:24:30 UTC
sqlite is now part of python, so closing this.

regards,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.